;;; init-theme.el --- Carga del theme -*- lexical-binding: t -*-

;; Author: kj <webmaster@outcontrol.net>
;; URL: https://git.kj2.me/kj/confi-emacs-actual

;;; Commentary:

;; Desde aquí se puede cambiar la configuración de themes es posible
;; activar o desactivar los themes comentando o descomentando las
;; líneas que lo configuran.

;;; Code:

;; Theme dracula (https://draculatheme.com/) // aún lo tengo en l config porque a Ney le gusta
(use-package dracula-theme
  :ensure t
  :defer t)

;; El theme más cercano a adwaita dark que he encontrado
(use-package adwaita-dark-theme
  :ensure t
  :defer t)

;; Themes modus, vienen integrado en emacs en master (~v30)
(use-package modus-themes
  :ensure t
  :defer t)

;; Themes ef
(use-package ef-themes
  :defer t
  :ensure t)

;; Prendemos el theme que elijamos
(add-hook 'elpaca-after-init-hook #'(lambda() (load-theme 'ef-dream t)))

;; Los themes que recomiendo:
;; Oscuros: adwaita-dark y ef-dream
;; Claros: modus-operandi-tinted y ef-day

(provide 'init-theme)
;;; init-theme.el ends here
